function love.load()
	CelluleHexagonale = love.graphics.newImage("hexagone.png")
	Link = love.graphics.newImage("link.png")
	love.graphics.setBackgroundColor(131,192,240)
	font = love.graphics.newFont(8)
	love.graphics.setFont(font)
	x, y = 0, 0
	dx, dy = 0, 0
end

function love.draw()
	for n = 0, love.graphics.getWidth() / 16 - 2 do
		for m = 0, love.graphics.getHeight() / 24 - 2 do
			if math.fmod(n + m, 2) == 0 then
				love.graphics.draw(CelluleHexagonale ,n * 16 ,m * 24)
				love.graphics.print(n..','..m,n * 16 + 8 ,m * 24 + 12)
			end
		end
	end
	love.graphics.draw(Link,(x - dx)* 16 ,(y - dy) * 24)
end


function love.keypressed(key, unicode)
	if dx ~= 0 or dy ~= 0 then return end
	if key == 'kp7' or key == 'q' then dx, dy = -1, -1
	elseif key == 'kp4' or key == 'a' then dx, dy = -2, 0
	elseif key == 'kp1' or key == 'z' then dx, dy = -1, 1
	elseif key == 'kp3' or key == 'c' or key == 'c' then dx, dy = 1, 1
	elseif key == 'kp6' or key == 'd' then dx,dy = 2, 0
	elseif key == 'kp9' or key == 'e' then dx, dy = 1, -1
	end
	x, y = x + dx, y + dy
end

function love.update(dt)
	local v
	if dy == 0 then v = 2 else v = 1 end
	if dx > 0 then dx = dx - dt * v
	elseif dx < 0 then dx = dx + dt * v
	end
	if dy > 0 then dy = dy - dt * v
	elseif dy < 0 then dy = dy + dt * v
	end
	if math.abs(dx) < dt * v then dx = 0 end
	if math.abs(dy) < dt * v then dy = 0 end
end
